Package javax.media.j3d

# Class WakeupOrOfAnds

java.lang.Object
javax.media.j3d.WakeupCondition
javax.media.j3d.WakeupOrOfAnds

public final class WakeupOrOfAnds extends WakeupCondition
Class specifying any number of AND wakeup conditions ORed together. This WakeupCondition object specifies that Java 3D should awaken this Behavior when any of the WakeupCondition's constituent WakeupAnd conditions becomes valid.

Note that a unique WakeupCriterion object must be used for each individual element in the set of arrays specified by the array of WakeupAnd objects.

## Constructor Summary

Constructors
Constructor
Description
`WakeupOrOfAnds(WakeupAnd[] conditions)`
Constructs a new WakeupOrOfAnds criterion.

## Method Summary

### Methods inherited from class javax.media.j3d.WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupOrOfAnds

public WakeupOrOfAnds(WakeupAnd[] conditions)
Constructs a new WakeupOrOfAnds criterion.

Parameters:
  `conditions` - a vector of individual Wakeup conditions